import 'package:bluetooth_scanner_gun/mixin.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> with ScanGunMixin<MyApp> {
  String _code = "";// 扫码数据

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Container(
          decoration: BoxDecoration(border: Border.all(color: Colors.grey)),
          child: Center(
            child: Text("扫码结果:$_code"),
          ),
        ),
      ),
    );
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  void onScanCode(dynamic code) {
    // TODO: implement onScanCode
    print("扫码到数据:$code");
    setState(() {
      _code = code;
    });
  }
}
